Summary: A vector drawing program.
Name: skencil
Version: 0.6.17
Release: 15_8%{?dist}
License: LGPL, Python style
Group: Applications/Multimedia
URL: http://www.skencil.org/
Source0: http://prdownloads.sourceforge.net/sketch/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel, PIL-devel, PyXML
BuildRequires: tk-devel, tcl-devel
BuildRequires: libXext-devel, libX11-devel
Requires: tkinter, PIL, PyXML

%description
Skencil is an interactive vector drawing program for X (similar to XFig
or tgif). It is written almost completely in Python, an object oriented
interpreted programming language.

Skencil was originally named "Sketch" (it was renamed with release
0.6.16) and the name "Sketch" is still used in many places.

%prep
%setup -q
grep -rl lib/ . | xargs perl -pi -e's,lib/,%{_lib}/,g'
grep -rl lib\' . | xargs perl -pi -es,lib\',%{_lib}\',g

%build
python setup.py configure --with-nls --imaging-include=%{_includedir}/libImaging
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot}%{_prefix}

install -p Tools/mkfontdb.py %{buildroot}%{_libdir}/%{name}-%{version}/
ln -s %{_libdir}/%{name}-%{version}/mkfontdb.py %{buildroot}%{_bindir}/mkfontdb

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Doc Examples Misc README INSTALL BUGS CREDITS COPYING TODO PROJECTS FAQ NEWS
%doc --parents */README */COPYING
%{_libdir}/%{name}-%{version}
%{_bindir}/*

%changelog
* Sat Dec 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adjust for XFree86 -> xorg replacement packages.

* Mon Jul 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.17.

* Thu Mar  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Sync with embedded specfile (Andrew Grimberg <tykeal@bardicgrove.org>)
- Symlinks to %%{_bindir} are without extension now
- Add mkfontdb.py.
- Remove --imaging-include switch, folder is autodetected.

* Sun Feb 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


